<?php
/**
 * Customizer
 * 
 * @package WordPress
 * @subpackage jewelry-market
 * @since jewelry-market 1.0
 */

/**
 * Add postMessage support for site title and description for the Theme Customizer.
 *
 * @param WP_Customize_Manager $wp_customize Theme Customizer object.
 */
function jewelry_market_customize_register( $wp_customize ) {
	$wp_customize->add_section( new Jewelry_Market_Upsell_Section($wp_customize,'upsell_section',array(
		'title'            => __( 'Jewelry Market Shop Pro', 'jewelry-market' ),
		'button_text'      => __( 'Upgrade Pro', 'jewelry-market' ),
		'url'              => 'https://www.wpradiant.net/products/jewelry-market',
		'priority'         => 0,
	)));
}
add_action( 'customize_register', 'jewelry_market_customize_register' );

/**
 * Enqueue script for custom customize control.
 */
function jewelry_market_custom_control_scripts() {
	wp_enqueue_script( 'jewelry-market-custom-controls-js', get_template_directory_uri() . '/assets/js/custom-controls.js', array( 'jquery', 'jquery-ui-core', 'jquery-ui-sortable' ), '1.0', true );
	wp_enqueue_style( 'jewelry-market-customize-controls', trailingslashit( get_template_directory_uri() ) . '/assets/css/customize-controls.css' );
}
add_action( 'customize_controls_enqueue_scripts', 'jewelry_market_custom_control_scripts' );